For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pledge

Perform various operations on pledge records.

Symitar eDocs References: Coming soon.

Operations

getPledgeSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPledgeSelectFields
POST /nexum/627/persistent/account/getPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 674

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "PledgeLocator": 1,
  "SelectableFields": {
    "IncludeAllPledgeFields": true,
    "PledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "Pledge": {
    "AccountNumber": "text",
    "Amount": 1,
    "CollateralCode": 1,
    "CollateralDescription": "text",
    "CollateralNumber": "text",
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "Id": "text",
    "Locator": 1,
    "Percent": 1,
    "Priority": 1,
    "RecordChangeDate": "2026-01-01",
    "Type": 1
  }
}

getPledgePagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPledgePagedListSelectFields
POST /nexum/627/persistent/account/getPledgePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 408

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Pledge": [],
  "Token": null,
  "MessageId": "getPledgePagedListSelectFields"
}

searchPledgePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPledgePagedSelectFields
POST /nexum/627/persistent/account/searchPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 428

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013454",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Pledge": [],
  "Token": null,
  "MessageId": "searchPledgePagedSelectFields"
}

updatePledgeByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updatePledgeByID
POST /nexum/627/persistent/account/updatePledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PledgeLocator": 1,
  "PledgeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updatePledgeByID"
}

createPledge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
PledgeLocatorintegerOptional
post/createPledge
POST /nexum/627/persistent/account/createPledge HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PledgeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PledgeLocator": 1,
  "MessageId": "createPledge"
}

deletePledge

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PledgeLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePledge
POST /nexum/627/persistent/account/deletePledge HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PledgeLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deletePledge"
}

Last updated

Was this helpful?